the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew  

Vulnerability Details : CVE-2007-2417

Heap-based buffer overflow in _mprosrv.exe in Progress Software Progress 9.1E and OpenEdge 10.1x, as used by the RSA Authentication Manager 6.0 and 6.1, SecurID Appliance 2.0, ACE/Server 5.2, and possibly other products, allows remote attackers to execute arbitrary code via crafted packets. NOTE: this issue might overlap CVE-2007-3491.
Publish Date : 2007-07-15 Last Update Date : 2012-10-30
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access Admin
Vulnerability Type(s) Execute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Products Affected By CVE-2007-2417

# Product Type Vendor Product Version Update Edition Language
1 Application Progress Openedge 10.1b Version Details Vulnerabilities
2 Application Progress Openedge 10.1a Version Details Vulnerabilities
3 Application Progress Progress 9.1e Version Details Vulnerabilities
4 Application RSA Ace Server 5.2 Version Details Vulnerabilities
5 Application RSA Authentication Manager 6.0 Version Details Vulnerabilities
6 Application RSA Authentication Manager 6.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Progress Openedge 2
Progress Progress 1
RSA Ace Server 1
RSA Authentication Manager 2

- References For CVE-2007-2417
BUGTRAQ 20070713 TPTI-07-12: Multiple Vendor Progress Server Heap Overflow Vulnerability
BID 24675 Progress and OpenEdge _mprosrv Buffer Overflow Vulnerability Release Date:2007-07-13
XF multiple-progress-server-bo(35385)
SECTRACK 1018389
VUPEN ADV-2007-2531
VUPEN ADV-2007-2530
OSVDB 37934

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2007-2417

There are not any metasploit modules related to this CVE entry (Please visit for more information)

CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.